%define name geotiff
%define version 1.1.4
%define release 7mdk

%define major 1
%define libname %mklibname %{name} %{major}
%define libname_orig lib%{name}

Name: %name
Summary: Cartographic software
Version: %version
Release: %release
Source0: libgeotiff-%{version}.tar.bz2
Patch0: libgeotiff-%{version}-so_name.patch.bz2
License: Public Domain
URL: http://www.remotesensing.com/geotiff/geotiff.html
Group: Sciences/Geosciences
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libproj-devel >= 4.4.3
BuildRequires: tiff-devel >= 3.5.7

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files. For more information about GeoTIFF
specifications, projection codes and use, see the WWW web page at:

   http://www.remotesensing.com/geotiff/geotiff.html

or at:

   http://www.geotiff.org/

%package -n %{libname}
Summary: Cartographic software - Libraries
Group: System/Libraries

%description -n %{libname}
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files. For more information about GeoTIFF
specifications, projection codes and use, see the WWW web page at:

%package -n %{libname}-devel
Summary: Cartographic software - Development files
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{libname_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %libname-devel
libgeotiff development files.

%prep
%setup -q -n libgeotiff-%{version}
%patch0 -p1

%build
%configure --with-proj=%{_libdir} --enable-incode-epsg
make COPTS="$RPM_OPT_FLAGS -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf %{name}.so.%{version} libgeotiff.so 
ln -sf %{name}.so.%{version} libgeotiff.so.1 
ln -sf %{name}.so.%{version} libgeotiff.so.1.1

rm -rf $RPM_BUILD_ROOT%_datadir/*.csv

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%{_bindir}/*
%doc docs/*


%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%attr(0644,root,root) %{_includedir}/*

%changelog
* Wed Jan  7 2004 Olivier Blin <blino@mandrake.org> 1.1.4-7mdk
- Patch0: try to fix soname
- rename specfile to please rpmlint
- fix Groups
- fix License
- BuildRequires, drop redundant Requires
- rm -rf $RPM_BUILD_ROOT at beginning of %%install
- mklibname

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-6mdk
- rebuild

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-5mdk
- fix link

* Mon Sep 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-4mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-3mdk
- rebuild

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-2mdk
- rebuild

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk
- added in contribs by Laurent Grawet <laurent.grawet@ibelgique.com>
